How To Install Quod Libet 3.4 On Ubuntu, Debian And Derivative Systems

Hello Linux Geeksters. As you may know, Quod Libet is an open-source GTK+ music player that uses Mutagen tagging library, being able to deal with big libraries.

The latest version available is Quod Libet 3.4, which has been recently released, bringing a huge list of changes:

  • Improved Gnome 3.16 compatibility
  • Fixes for the list tooltips in combination with GTK 3.16 scrollbars
  • Include symbolic icons for gnome-shell 3.16
  • Album browser: faster cover loading
  • Devices: fix detection of Sansa Clip+ with some setups
  • Prefs: restore active tab
  • Songlist: support patterns in the filter song list menu
  • New shortcut ctrl+shift+j, like ctrl+j but refilters the browser always
  • Make build reproducible
  • MP4: include codec information in ~format (needs a library reload)
  • GStreamer: fix a deadlock when seeking right at a song change
  • Queue: don’t decide the next song too early
  • Song info widget: provide the full song context menu
  • CLI: –run to make QL start if it isn’t already. Useful for pairing with other commands like –play-file.
  • Add supported mime types to desktop file
  • CLI: –play-file doesn’t add songs to the library anymore
  • Fix QL starting twice if started in quick succession
  • Tooltips: don’t span multiple monitors
  • MPD-Server: Fix a crash when changing the port number
  • Fix short hang on shutdown with GStreamer plugins active
  • Fix setting an embedded image in case the file doesn’t have tags
  • Fifo: Fix commands failing in case QL is busy

how to install Quod Libet 3.4 on Ubuntu 15.04 Vivid Vervet, Ubuntu 14.10 Utopic Unicorn, Ubuntu 14.04 Trusty Tahr, Ubuntu 12.04 Precise Pangolin, Linux Mint 17.1 Rebecca, Linux Mint 17 Qiana, Linux Mint 13 Maya, Pinguy OS 14.04, Elementary OS 0.3 Freya, Elementary OS 0.2 Luna, Deepin 2014, Peppermint Five, LXLE 14.04, Linux Lite 2, Debian 8 Jessie, Debian 7 Wheezy

In this article I will show you how to install Quod Libet 3.4 on Ubuntu 15.04 Vivid Vervet, Ubuntu 14.10 Utopic Unicorn, Ubuntu 14.04 Trusty Tahr, Ubuntu 12.04 Precise Pangolin, Linux Mint 17.1 Rebecca, Linux Mint 17 Qiana, Linux Mint 13 Maya, Pinguy OS 14.04, Elementary OS 0.3 Freya, Elementary OS 0.2 Luna, Deepin 2014, Peppermint Five, LXLE 14.04, Linux Lite 2, Debian 8 Jessie, Debian 7 Wheezy and other Ubuntu and Debian derivative systems.

For Ubuntu 15.04, Ubuntu 14.10, Ubuntu 14.04, Ubuntu 12.04 and derivative systems, Quod Libet 3.4 is available via PPA, so all you have to do is add the ppa to your system, update the local repository index and install the quodlibet package. Like this:

$ sudo add-apt-repository ppa:lazka/ppa
$ sudo apt-get update
$ sudo apt-get install quodlibet

To install Debian 8 Jessie, we have to add the repository by hand, get the key, update the repository index and install quodlibet:

$ sudo sh -c 'echo "deb http://lazka.github.io/ql-debian/testing/ quodlibet-unstable/" >> /etc/apt/sources.list'
$ sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 0C693B8F
$ sudo apt-get update
$ sudo apt-get install quodlibet

On Debian 7 Wheezy, do:

$ sudo sh -c 'echo "deb http://lazka.github.io/ql-debian/stable/ quodlibet-stable/" >> /etc/apt/sources.list'
$ sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 0C693B8F
$ sudo apt-get update
$ sudo apt-get install quodlibet

Optional, to remove quodlibet from either Ubuntu, Debian or a derivative system, do:

$ sudo apt-get remove quodlibet

Liked it? Take a second to support Geekster on Patreon!
Tagged with: , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , ,
Posted in The Linux and Unix Articles!

Leave a Reply

Your email address will not be published. Required fields are marked *

*

Support LinuxG via Patreon
Support LinuxG.net on Patreon!
Subscribe

  

Subscribe to get the latest Linux news and how to guides directly on your e-mail!